# Class Numbering

#### Hierarchy

- XmlComponent
  - Numbering

- Defined in src/file/numbering/numbering.ts:29

#####
Index

### Constructors

constructor

### Accessors

ConcreteNumbering
ReferenceConfig

### Methods

addChildElement
createConcreteNumberingInstance
prepForXml

## Constructors

### constructor

- new Numbering(options: INumberingOptions): Numbering

- #### Parameters

  - ##### options: INumberingOptions

  #### Returns Numbering

  Overrides XmlComponent.constructor

  - Defined in src/file/numbering/numbering.ts:34

## Accessors

### ConcreteNumbering

- get ConcreteNumbering(): readonly ConcreteNumbering[]

- #### Returns readonly ConcreteNumbering[]

  - Defined in src/file/numbering/numbering.ts:231

### ReferenceConfig

- get ReferenceConfig(): readonly object[]

- #### Returns readonly object[]

  - Defined in src/file/numbering/numbering.ts:234

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### createConcreteNumberingInstance

- createConcreteNumberingInstance(reference: string, instance: number): void

- #### Parameters

  - ##### reference: string

  - ##### instance: number

  #### Returns void

  - Defined in src/file/numbering/numbering.ts:195

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides XmlComponent.prepForXml

  - Defined in src/file/numbering/numbering.ts:184

Generated using TypeDoc